Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class MatchingCharacterPainter

    java.lang.Object
      org.eclipse.jface.text.source.MatchingCharacterPainter

All Implemented Interfaces:
  EventListener, IPainter, PaintListener, org.eclipse.swt.internal.SWTEventListener

public final class MatchingCharacterPainter
extends Object
implements IPainter, PaintListener

Highlights the peer character matching the character near the caret position. This painter can be configured with an `ICharacterPairMatcher`.

Clients instantiate and configure object of this class.

Since:
  2.1

Field Summary

Fields inherited from interface org.eclipse.jface.text.IPainter
`CONFIGURATION, INTERNAL, KEY_STROKE, MOUSE_BUTTON, SELECTION, TEXT_CHANGE`

Constructor Summary
`MatchingCharacterPainter(ISourceViewer sourceViewer, ICharacterPairMatcher matcher)` Creates a new MatchingCharacterPainter for the given source viewer using the given character pair matcher.

Method Summary
`void` | `deactivate(boolean redraw)` Deactivates this painter.
`void` | `dispose()` Disposes this painter.
`void` | `paint(int reason)` Requests this painter to repaint because of the given reason.
`void` | `paintControl(PaintEvent event)` Sent when a paint event occurs for the control.
`void` | `setColor(Color color)` Sets the color in which to highlight the match character.
`void` | `setPositionManager(IPaintPositionManager manager)` Sets the paint position manager that can be used by this painter or removes any previously set paint position manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchingCharacterPainter

    public MatchingCharacterPainter(ISourceViewer sourceViewer,
                                    ICharacterPairMatcher matcher)

  Creates a new MatchingCharacterPainter for the given source viewer using the given character pair matcher. The character matcher is not adopted by this painter. Thus, it is not disposed. However, this painter requires exclusive access to the given pair matcher.

Parameters:
  `sourceViewer` -
  `matcher` -

Method Detail

### setColor

    public void setColor(Color color)

  Sets the color in which to highlight the match character.

  Parameters:
    `color` - the color

### dispose

    public void dispose()

  Description copied from interface: `IPainter`
  Disposes this painter. Prior to disposing, a painter should be deactivated. A disposed painter can not be reactivated.

  Specified by:
    `dispose` in interface `IPainter`
  See Also:
    `IPainter.deactivate(boolean)`

### deactivate

    public void deactivate(boolean redraw)

  Description copied from interface: `IPainter`
  Deactivates this painter. If the painter is inactive, this call does not have any effect. `redraw` indicates whether the painter should remove any decoration it previously applied. A deactivated painter can be reactivated by calling `paint`.

  Specified by:
    `deactivate` in interface `IPainter`
  Parameters:
    `redraw` - `true` if any previously applied decoration should be removed
  See Also:
    `IPainter.paint(int)`

### paintControl

    public void paintControl(PaintEvent event)

  Description copied from interface: `PaintListener`
  Sent when a paint event occurs for the control.

  Specified by:
    `paintControl` in interface `PaintListener`
  Parameters:
    `event` - an event containing information about the paint

### paint

    public void paint(int reason)

  Description copied from interface: `IPainter`
  Requests this painter to repaint because of the given reason. Based on the given reason the painter can decide whether it will repaint or not. If it repaints and is inactive, it will activate itself.

  Specified by:
    `paint` in interface `IPainter`
  Parameters:
    `reason` - the repaint reason, value is one of the constants defined in this interface

### setPositionManager

    public void setPositionManager(IPaintPositionManager manager)

  Description copied from interface: `IPainter`
  Sets the paint position manager that can be used by this painter or removes any previously set paint position manager.

  Specified by:
    `setPositionManager` in interface `IPainter`
  Parameters:
    `manager` - the paint position manager or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.